@cd src
@del system\NESflickertest.map.txt
@echo.
@echo Compiling...
@system\ca65 main.asm -I ..\ -g -o NESflickertest.o
@IF ERRORLEVEL 1 GOTO failure
@echo.
@echo Linking...
@system\ld65 -o ..\NESflickertest.nes -C system\nes.cfg NESflickertest.o -m system\NESflickertest.map.txt -Ln ..\NESflickertest.labels.txt --dbgfile ..\NESflickertest.dbg
@IF ERRORLEVEL 1 GOTO failure
@echo.
@echo Generating FCEUX debug symbols...
@system\example_fceux_symbols.py
@echo.
@echo Success!
@del ..\NESflickertest.labels.txt
@del NESflickertest.o
@type system\NESflickertest.map.txt
@..\NESflickertest.nes
@GOTO endbuild
:failure
@echo.
@echo Build error!
pause
:endbuild
